#import "CTBoxView.h"

@implementation CTBoxView

- (BOOL) isOpaque
{
	return YES;
}

#pragma mark -

- (void) drawRect:(NSRect) inRect
{
	CGFloat tMaxY;
	
	// Draw background
	
	[[NSColor whiteColor] setFill];
	
	NSRectFill(inRect);
	
	// Draw top and bottom frame
	
	tMaxY=NSMaxY([self bounds]);
	
	[[NSColor grayColor] setStroke];
	
	[NSBezierPath strokeLineFromPoint:NSMakePoint(NSMinX(inRect),tMaxY-0.5) toPoint:NSMakePoint(NSMaxX(inRect),tMaxY-0.5)];
	
	[NSBezierPath strokeLineFromPoint:NSMakePoint(NSMinX(inRect),0.5) toPoint:NSMakePoint(NSMaxX(inRect),0.5)];
}

@end
