#ifndef __PAWN__
#define __PAWN__

#define CLIP_NEAR 9.9
#define CLIP_FAR 10000.0
#define OPTION_BUFFER 1

#define TEXTURE_COUNT 3
#define MOON_TEXTURE texture_names[0]
#define LOGO_TEXTURE texture_names[1]
#define FONT_TEXTURE texture_names[2]

#define FONT_LETTERS 26*2+2

#define HIGH_QUALITY 1
#define SHOW_LOGO 2

extern unsigned char * fontImageData;

#define MAX_TEXT_LEN 100
#define MAX_CIRCLES 20

#pragma pack(4)

typedef struct
{
  char text[MAX_TEXT_LEN];
  int x, y;
  int speed;
  int scale;
  int radius;
} circ_def;

#pragma pack()

void ss_draw(circ_def * inCircleDef,int inCircleCount,double time);

void ss_initialize();

void resize(int width, int height);

#endif